| cert.h | Header File

Header File Index

Routines for accessing certificates and other memory-mapped files

Functions

ceof
  Returns end-of-file status of the context.
cfindfield
  Finds a matching field from a context.
cgetc
  Gets a character from a context.
cgetcertrevno
  Gets a certificate revision number.
cgetflen
  Gets the length of a field.
cgetfnl
  Gets a non-aligned long integer from a field.
cgetnl
  Gets a non-aligned long integer from a context.
cgetns
  Gets a non-aligned short integer from a context.
cgetsn
  Gets the calculator serial number from the Flash ROM certificate.
copen
  Opens a certificate file context.
copensub
  Opens a subcontext.
cputhdr
  Puts a field header to a context.
cputnl
  Puts a non-aligned long integer to a context.
cputns
  Puts a non-aligned short integer to a context.
cread
  Reads a field from a context.
ctell
  Returns the current position relative to the start of a context.
cwrite
  Puts a field to a context.

Global Variables

CertificateMemory
  A pointer to the certificate memory.

Constants

H_NULL
  A null-handle value.
NULL
  A null-pointer value.

Predefined Types

Bool
  An enumeration to describe true or false values.
CERT_FIELD
  A structure describing the records of certificate files.
CFILE
  A structure representing the context of a memory-mapped file.
HANDLE
  Represents a handle associated with an allocated memory block.
size_t
  A type to define sizes of strings and memory blocks.

Note: The functions caddcert, cgetcert, cgetvernum and cfindcertfield, which were present in the AMS 1.xx TIOS jump table, don't exist in the AMS 2.xx TIOS jump table any more. Fortunately, all of them are only internal routines; you need to use FL_addCert, FL_getCert and FL_getVerNum from flash.h instead.
In AMS 2.xx, the function replacing ROM_CALL 12C (cgetcert in AMS 1.xx), is HeapWalk.